Index: branches/BNC_2.12/src/upload/bncrtnetdecoder.cpp
===================================================================
--- branches/BNC_2.12/src/upload/bncrtnetdecoder.cpp	(revision 8992)
+++ branches/BNC_2.12/src/upload/bncrtnetdecoder.cpp	(revision 9036)
@@ -59,21 +59,22 @@
       ++iRow;
       int  outPort = hlp[1].toInt();
-      bool CoM     = (hlp[5].toInt() == Qt::Checked);
+      bool CoM     = (hlp[6].toInt() == Qt::Checked);
       int PID = 0;
-      if (hlp.size() > 8) {
-        PID = hlp[8].toInt();
+      if (hlp.size() > 9) {
+        PID = hlp[9].toInt();
       }
       int SID = 0;
-      if (hlp.size() > 9) {
-        SID = hlp[9].toInt();
+      if (hlp.size() > 10) {
+        SID = hlp[10].toInt();
       }
       int IOD = 0;
-      if (hlp.size() > 10) {
-        IOD = hlp[10].toInt();
+      if (hlp.size() > 11) {
+        IOD = hlp[11].toInt();
       }
       bncRtnetUploadCaster* newCaster = new bncRtnetUploadCaster(
-                                                       hlp[2], hlp[0], outPort, 
-                                                       hlp[3], hlp[4], CoM,
-                                                       hlp[6], hlp[7], 
+                                                       hlp[2], hlp[0], outPort,
+                                                       hlp[3], hlp[4], hlp[5],
+                                                       CoM,
+                                                       hlp[7], hlp[8],
                                                        PID, SID, IOD, iRow);
       newCaster->start();
Index: branches/BNC_2.12/src/upload/bncrtnetuploadcaster.cpp
===================================================================
--- branches/BNC_2.12/src/upload/bncrtnetuploadcaster.cpp	(revision 8992)
+++ branches/BNC_2.12/src/upload/bncrtnetuploadcaster.cpp	(revision 9036)
@@ -28,6 +28,7 @@
 ////////////////////////////////////////////////////////////////////////////
 bncRtnetUploadCaster::bncRtnetUploadCaster(const QString& mountpoint,
-    const QString& outHost, int outPort, const QString& password,
-    const QString& crdTrafo, bool CoM, const QString& sp3FileName,
+    const QString& outHost, int outPort,
+    const QString& password,
+    const QString& crdTrafo, const QString& ssrFormat, bool CoM, const QString& sp3FileName,
     const QString& rnxFileName, int PID, int SID, int IOD, int iRow) :
     bncUploadCaster(mountpoint, outHost, outPort, password, iRow, 0) {
@@ -53,4 +54,14 @@
 
   _crdTrafo = crdTrafo;
+
+  _ssrFormat = ssrFormat;
+  _ssrCorr = 0;
+  if      (_ssrFormat == "IGS-SSR") {qDebug() << "bin hier IGS";
+    _ssrCorr = new SsrCorrIgs();
+  }
+  else if (_ssrFormat == "RTCM-SSR") {qDebug() << "bin hier RTCM";
+    _ssrCorr = new SsrCorrRtcm();
+  }
+
   _CoM = CoM;
   _PID = PID;
@@ -225,4 +236,5 @@
   delete _ephUser;
   delete _usedEph;
+  delete _ssrCorr;
 }
 
@@ -291,58 +303,60 @@
           + _casterID.toAscii(), false));
 
-  struct ClockOrbit co;
+  struct SsrCorr::ClockOrbit co;
   memset(&co, 0, sizeof(co));
   co.EpochTime[CLOCKORBIT_SATGPS] = static_cast<int>(epoTime.gpssec());
-#ifdef USE_SSR_RTCM
-  double gt = epoTime.gpssec() + 3 * 3600 - gnumleap(year, month, day);
-  co.EpochTime[CLOCKORBIT_SATGLONASS] = static_cast<int>(fmod(gt, 86400.0));
-#elif  USE_SSR_IGS
-  co.EpochTime[CLOCKORBIT_SATGLONASS] = static_cast<int>(epoTime.gpssec());
-#endif
+  if      (_ssrFormat == "RTCM-SSR") {
+    double gt = epoTime.gpssec() + 3 * 3600 - gnumleap(year, month, day);
+    co.EpochTime[CLOCKORBIT_SATGLONASS] = static_cast<int>(fmod(gt, 86400.0));
+  }
+  else if (_ssrFormat == "IGS-SSR") {
+    co.EpochTime[CLOCKORBIT_SATGLONASS] = static_cast<int>(epoTime.gpssec());
+  }
   co.EpochTime[CLOCKORBIT_SATGALILEO] = static_cast<int>(epoTime.gpssec());
-  co.EpochTime[CLOCKORBIT_SATQZSS] = static_cast<int>(epoTime.gpssec());
-  co.EpochTime[CLOCKORBIT_SATSBAS] = static_cast<int>(epoTime.gpssec());
-#ifdef USE_SSR_RTCM
-  co.EpochTime[CLOCKORBIT_SATBDS] = static_cast<int>(epoTime.bdssec());
-#elif  USE_SSR_IGS
-  co.EpochTime[CLOCKORBIT_SATBDS] = static_cast<int>(epoTime.gpssec());
-#endif
-  co.Supplied[COBOFS_CLOCK] = 1;
-  co.Supplied[COBOFS_ORBIT] = 1;
-  co.SatRefDatum = DATUM_ITRF;
-  co.SSRIOD = _IOD;
+  co.EpochTime[CLOCKORBIT_SATQZSS]    = static_cast<int>(epoTime.gpssec());
+  co.EpochTime[CLOCKORBIT_SATSBAS]    = static_cast<int>(epoTime.gpssec());
+  if      (_ssrFormat == "RTCM-SSR") {
+    co.EpochTime[CLOCKORBIT_SATBDS] = static_cast<int>(epoTime.bdssec());
+  }
+  else if (_ssrFormat == "IGS-SSR") {
+    co.EpochTime[CLOCKORBIT_SATBDS] = static_cast<int>(epoTime.gpssec());
+  }
+  co.Supplied[_ssrCorr->COBOFS_CLOCK] = 1;
+  co.Supplied[_ssrCorr->COBOFS_ORBIT] = 1;
+  co.SatRefDatum = _ssrCorr->DATUM_ITRF;
+  co.SSRIOD        = _IOD;
   co.SSRProviderID = _PID; // 256 .. BKG,  257 ... EUREF
   co.SSRSolutionID = _SID;
 
-  struct CodeBias bias;
+  struct SsrCorr::CodeBias bias;
   memset(&bias, 0, sizeof(bias));
-  bias.EpochTime[CLOCKORBIT_SATGPS] = co.EpochTime[CLOCKORBIT_SATGPS];
+  bias.EpochTime[CLOCKORBIT_SATGPS]     = co.EpochTime[CLOCKORBIT_SATGPS];
   bias.EpochTime[CLOCKORBIT_SATGLONASS] = co.EpochTime[CLOCKORBIT_SATGLONASS];
   bias.EpochTime[CLOCKORBIT_SATGALILEO] = co.EpochTime[CLOCKORBIT_SATGALILEO];
-  bias.EpochTime[CLOCKORBIT_SATQZSS] = co.EpochTime[CLOCKORBIT_SATQZSS];
-  bias.EpochTime[CLOCKORBIT_SATSBAS] = co.EpochTime[CLOCKORBIT_SATSBAS];
-  bias.EpochTime[CLOCKORBIT_SATBDS] = co.EpochTime[CLOCKORBIT_SATBDS];
-  bias.SSRIOD = _IOD;
+  bias.EpochTime[CLOCKORBIT_SATQZSS]    = co.EpochTime[CLOCKORBIT_SATQZSS];
+  bias.EpochTime[CLOCKORBIT_SATSBAS]    = co.EpochTime[CLOCKORBIT_SATSBAS];
+  bias.EpochTime[CLOCKORBIT_SATBDS]     = co.EpochTime[CLOCKORBIT_SATBDS];
+  bias.SSRIOD        = _IOD;
   bias.SSRProviderID = _PID;
   bias.SSRSolutionID = _SID;
 
-  struct PhaseBias phasebias;
+  struct SsrCorr::PhaseBias phasebias;
   memset(&phasebias, 0, sizeof(phasebias));
   unsigned int dispersiveBiasConsistenyIndicator = 0;
   unsigned int mwConsistencyIndicator = 0;
-  phasebias.EpochTime[CLOCKORBIT_SATGPS] = co.EpochTime[CLOCKORBIT_SATGPS];
+  phasebias.EpochTime[CLOCKORBIT_SATGPS]     = co.EpochTime[CLOCKORBIT_SATGPS];
   phasebias.EpochTime[CLOCKORBIT_SATGLONASS] = co.EpochTime[CLOCKORBIT_SATGLONASS];
   phasebias.EpochTime[CLOCKORBIT_SATGALILEO] = co.EpochTime[CLOCKORBIT_SATGALILEO];
-  phasebias.EpochTime[CLOCKORBIT_SATQZSS] = co.EpochTime[CLOCKORBIT_SATQZSS];
-  phasebias.EpochTime[CLOCKORBIT_SATSBAS] = co.EpochTime[CLOCKORBIT_SATSBAS];
-  phasebias.EpochTime[CLOCKORBIT_SATBDS] = co.EpochTime[CLOCKORBIT_SATBDS];
-  phasebias.SSRIOD = _IOD;
+  phasebias.EpochTime[CLOCKORBIT_SATQZSS]    = co.EpochTime[CLOCKORBIT_SATQZSS];
+  phasebias.EpochTime[CLOCKORBIT_SATSBAS]    = co.EpochTime[CLOCKORBIT_SATSBAS];
+  phasebias.EpochTime[CLOCKORBIT_SATBDS]     = co.EpochTime[CLOCKORBIT_SATBDS];
+  phasebias.SSRIOD        = _IOD;
   phasebias.SSRProviderID = _PID;
   phasebias.SSRSolutionID = _SID;
 
-  struct VTEC vtec;
+  struct SsrCorr::VTEC vtec;
   memset(&vtec, 0, sizeof(vtec));
   vtec.EpochTime = static_cast<int>(epoTime.gpssec());
-  vtec.SSRIOD = _IOD;
+  vtec.SSRIOD        = _IOD;
   vtec.SSRProviderID = _PID;
   vtec.SSRSolutionID = _SID;
@@ -385,5 +399,4 @@
       continue;
     }
-
     // non-satellite specific parameters
     if (key.contains("VTEC", Qt::CaseSensitive)) {
@@ -408,5 +421,4 @@
       continue;
     }
-
     // satellite specific parameters
     char sys = key.mid(0, 1).at(0).toAscii();
@@ -423,5 +435,4 @@
     const t_eph* ephPrev = _ephUser->ephPrev(prnInternalStr);
     const t_eph* eph = ephLast;
-
     if (eph) {
 
@@ -551,5 +562,5 @@
       }
 
-      struct ClockOrbit::SatData* sd = 0;
+      struct SsrCorr::ClockOrbit::SatData* sd = 0;
       if (prn.system() == 'G') {
         sd = co.Sat + co.NumberOfSat[CLOCKORBIT_SATGPS];
@@ -597,5 +608,5 @@
       // Code Biases
       // -----------
-      struct CodeBias::BiasSat* biasSat = 0;
+      struct SsrCorr::CodeBias::BiasSat* biasSat = 0;
       if (!codeBiases.isEmpty()) {
         if (prn.system() == 'G') {
